openSUSE Security Update : partclone (openSUSE-2017-389)

Medium Nessus Plugin ID 99021

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for partclone fixes the following minor security issue :

- CVE-2017-6596: A malicious user could have exploited a heap-based buffer overflow vulnerability by supplying a specially crafted image to cause a denial of service (boo#1028904)

The following non-security changes are included :

- Support for fuse

Solution

Update the affected partclone packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1028904

Plugin Details

Severity: Medium

ID: 99021

File Name: openSUSE-2017-389.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/03/28

Modified: 2018/01/26

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSSv3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:partclone, p-cpe:/a:novell:opensuse:partclone-debuginfo, p-cpe:/a:novell:opensuse:partclone-debugsource, p-cpe:/a:novell:opensuse:partclone-lang, cpe:/o:novell:opensuse:42.1, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2017/03/27

Reference Information

CVE: CVE-2017-6596